## EXPERIMENTAL CODE!!! by Dan Sebald. (Feb 21, 2006)
##
## This file is NOT part of the Octave distribution.
##
##
## =====================================================================
##
##
## Copyright (C) 1996, 1997 John W. Eaton
##
## This file is part of Octave.
##
## Octave is free software; you can redistribute it and/or modify it
## under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2, or (at your option)
## any later version.
##
## Octave is distributed in the hope that it will be useful, but
## WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
## General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with Octave; see the file COPYING.  If not, write to the Free
## Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
## 02110-1301, USA.

## -*- texinfo -*-
## @deftypefn {Function File} {} image (@var{x}, @var{zoom})
## @deftypefnx {Function File} {} image (@var{x}, @var{y}, @var{A}, @var{zoom})
## Display a matrix as a color image.  The elements of @var{x} are indices
## into the current colormap and should have values between 1 and the
## length of the colormap.  If @var{zoom} is omitted, the image will be
## scaled to fit within 600x350 (to a max of 4).
##
## It first tries to use @code{display} from @code{ImageMagick} then
## @code{xv} and then @code{xloadimage}.
##
## The axis values corresponding to the matrix elements are specified in
## @var{x} and @var{y}. At present they are ignored.
## @end deftypefn
##
## @seealso{imshow, imagesc, and colormap}

## Author: Tony Richardson <arichard@stark.cc.oh.us>
## Created: July 1994
## Adapted-By: jwe

function image (x, y, A, zoom)

  ## Use of zoom not encouraged.  Here only for compatibiliy for users
  ## who may not have the most recent version of gnuplot.  Remove zoom
  ## some time in the future, i.e., everything that says REMOVE IN FUTURE.

  palette_size = size(colormap,1);
  eval(sprintf('gset cbrange [1:%d]', palette_size));

  if (nargin == 0)
    __img_gp__;
  elseif (nargin == 1)
    __img_gp__(x);
  elseif (nargin == 2)  ## REMOVE IN FUTURE
    __img_gp__(x, y);
  elseif (nargin == 3)
    __img_gp__(x, y, A);
  elseif (nargin == 4)  ## REMOVE IN FUTURE
    __img_gp__(x, y, A, zoom);
  else
    usage ("image (matrix) or image (x, y, matrix)");
  endif

endfunction
